### Function Macro

# Gimp MAIN

since: 3.0

#### Declaration [src]

    #define GIMP_MAIN (
      plug_in_type
    )

#### Description [src]

A macro that expands to the appropriate `main()` function for the platform being compiled for.

To use this macro, simply place a line that contains just the code:

    GIMP_MAIN (MY_TYPE_PLUG_IN)

at the toplevel of your file. No semicolon should be used.

Non-C plug-ins won’t have this function and should use `gimp_main()` instead.

Available since: 3.0

This function is not directly available to language bindings.

#### Parameters

`plug_in_type`

  Type: `-`

  The `GType` of the plug-in’s `GimpPlugIn` subclass.